/*
*================= MASTER FILE: GRADE REPETITION POLICY ANALYSIS *=================

[ PROJ ] First grade repetition in 1st grade in CR
[ AUTH ] Dan Rodriguez
[ INIT ] 7 July 2019
[ UPDT ] 30 May 2020
*/

cls
clear all
set more off, perm

* Setting paths
global user  ""  // add path where data folder is saved here
global raw_data "$user/Data/1-Raw data"
global built_data "$user/Data/2-Built data"
global clean_data "$user/Data/3-Clean data"

* Setting important globals
global controls "rural stud_teacher_ratio share_female_stud share_female_teacher health_index join_infra_index"
global fe "i.year i.grade i.province_enc i.circuit_enc"
 set seed 495850
 

*================================= SECTIONS ====================================

* Section 1 - Clean up raw enrollment and outcomes data:
do "Section 1 - Cleaning raw data"

* Section 2 - Run main regressions
do "Section 2 - Basic regressions"

* Section 3 - Run regressions by SES
do "Section 3 - Regressions by SES"

*================================= SIDE WORK ===================================
/*
* Clean up of preschool covariates to analyze access before
do "Section 9999 - Creating prek cov"

* Clean up of infrastructure and health data to merge 
do "Section 9999 - Creating infra and health cov"

* Clean up and reshape of data to plot trends (plots on R)
do "Section 9999 - Creating data for DD graphs"
*/
